#!/bin/bash

nb=`/bin/netstat | /bin/grep ":ldap" | /usr/bin/wc -l`

if (( $nb > 800 )); then
 status="CRITICAL"
 retval=2

elif (( $nb > 500 )); then
 status="WARNING"
 retval=1

else
 status="OK"
 retval=0
fi

echo "Connexions LDAPS $status - $nb|connexions=$nb"
exit $retval
